extends Node2D

export var heal_amount : int = 1
signal medpack_taken

func _ready():
	pass # Replace with function body.

func _on_Pickup_body_entered(body):
	if body.has_method("heal"):
		body.heal(heal_amount)
		emit_signal("medpack_taken")
		queue_free()
